package com.zjrs.zwnw.dbgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.blo.GzqdglPLO;
import com.zjrs.zwnw.dbgl.bpo.GzqdglBPO;
import com.zjrs.zwnw.dbgl.dto.DbrwglCommDTO;
import com.zjrs.zwnw.dbgl.dto.DbrwglCommQueryDTO;
import com.zjrs.zwnw.dbgl.dto.DbrwglGzqdUDTO;
import com.zjrs.zwnw.dbgl.dto.DbrwglGzqdglQueryDTO;
import com.zjrs.zwnw.dbgl.po.RsdbglgzqdPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GzqdglBPOimpl extends BPOImpl implements GzqdglBPO {

    @Autowired
    private GzqdglPLO gzqdglPLO;

    @Override
    public PageResult getGzqdglList(DbrwglGzqdglQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.gzqdglPLO.getGzqdglList(dto,pagenum,pagesize);
    }

    @Override
    public RsdbglgzqdPO getGzqdById(DbrwglCommDTO dto){
        return this.gzqdglPLO.getGzqdById(dto);
    }
    @Override
    public String saveGzqd(DbrwglGzqdUDTO dto){
        return this.gzqdglPLO.saveGzqd(dto);
    }
    @Override
    public void delGzqd(DbrwglCommDTO dto){
        this.gzqdglPLO.delGzqd(dto);
    }

    @Override
    public PageResult getDbrwListByGzqdid(DbrwglCommQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.gzqdglPLO.getDbrwListByGzqdid(dto,pagenum,pagesize);
    }

}
